ApiHive3ReplicationScheduledQueriesResultRow (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiHive3ReplicationScheduledQueriesResultRow

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHive3ReplicationScheduledQueriesResultRow

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiHive3ReplicationScheduledQueriesResultRow
      extends Object

  ApiHive3ReplicationScheduledQueriesResultRow

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHive3ReplicationScheduledQueriesResultRow()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiHive3ReplicationScheduledQueriesResultRow` | `enabled(Boolean enabled)`
    `boolean` | `equals(Object o)`
    `ApiHive3ReplicationScheduledQueriesResultRow` | `executionId(BigDecimal executionId)`
    `BigDecimal` | `getExecutionId()` Get executionId
    `String` | `getName()` Get name
    `String` | `getNameSpace()` Get nameSpace
    `String` | `getNextExecution()` Get nextExecution
    `String` | `getQuery()` Get query
    `BigDecimal` | `getQueryId()` Get queryId
    `String` | `getSchedule()` Get schedule
    `String` | `getUser()` Get user
    `int` | `hashCode()`
    `Boolean` | `isEnabled()` Get enabled
    `ApiHive3ReplicationScheduledQueriesResultRow` | `name(String name)`
    `ApiHive3ReplicationScheduledQueriesResultRow` | `nameSpace(String nameSpace)`
    `ApiHive3ReplicationScheduledQueriesResultRow` | `nextExecution(String nextExecution)`
    `ApiHive3ReplicationScheduledQueriesResultRow` | `query(String query)`
    `ApiHive3ReplicationScheduledQueriesResultRow` | `queryId(BigDecimal queryId)`
    `ApiHive3ReplicationScheduledQueriesResultRow` | `schedule(String schedule)`
    `void` | `setEnabled(Boolean enabled)`
    `void` | `setExecutionId(BigDecimal executionId)`
    `void` | `setName(String name)`
    `void` | `setNameSpace(String nameSpace)`
    `void` | `setNextExecution(String nextExecution)`
    `void` | `setQuery(String query)`
    `void` | `setQueryId(BigDecimal queryId)`
    `void` | `setSchedule(String schedule)`
    `void` | `setUser(String user)`
    `String` | `toString()`
    `ApiHive3ReplicationScheduledQueriesResultRow` | `user(String user)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHive3ReplicationScheduledQueriesResultRow

          public ApiHive3ReplicationScheduledQueriesResultRow()

  - ### Method Detail

    - #### queryId

          public ApiHive3ReplicationScheduledQueriesResultRow queryId(BigDecimal queryId)

    - #### getQueryId

          public BigDecimal getQueryId()

      Get queryId
      Returns:
        queryId

    - #### setQueryId

          public void setQueryId(BigDecimal queryId)

    - #### name

          public ApiHive3ReplicationScheduledQueriesResultRow name(String name)

    - #### getName

          public String getName()

      Get name
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### enabled

          public ApiHive3ReplicationScheduledQueriesResultRow enabled(Boolean enabled)

    - #### isEnabled

          public Boolean isEnabled()

      Get enabled
      Returns:
        enabled

    - #### setEnabled

          public void setEnabled(Boolean enabled)

    - #### nameSpace

          public ApiHive3ReplicationScheduledQueriesResultRow nameSpace(String nameSpace)

    - #### getNameSpace

          public String getNameSpace()

      Get nameSpace
      Returns:
        nameSpace

    - #### setNameSpace

          public void setNameSpace(String nameSpace)

    - #### schedule

          public ApiHive3ReplicationScheduledQueriesResultRow schedule(String schedule)

    - #### getSchedule

          public String getSchedule()

      Get schedule
      Returns:
        schedule

    - #### setSchedule

          public void setSchedule(String schedule)

    - #### user

          public ApiHive3ReplicationScheduledQueriesResultRow user(String user)

    - #### getUser

          public String getUser()

      Get user
      Returns:
        user

    - #### setUser

          public void setUser(String user)

    - #### query

          public ApiHive3ReplicationScheduledQueriesResultRow query(String query)

    - #### getQuery

          public String getQuery()

      Get query
      Returns:
        query

    - #### setQuery

          public void setQuery(String query)

    - #### nextExecution

          public ApiHive3ReplicationScheduledQueriesResultRow nextExecution(String nextExecution)

    - #### getNextExecution

          public String getNextExecution()

      Get nextExecution
      Returns:
        nextExecution

    - #### setNextExecution

          public void setNextExecution(String nextExecution)

    - #### executionId

          public ApiHive3ReplicationScheduledQueriesResultRow executionId(BigDecimal executionId)

    - #### getExecutionId

          public BigDecimal getExecutionId()

      Get executionId
      Returns:
        executionId

    - #### setExecutionId

          public void setExecutionId(BigDecimal executionId)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.